Last Comment Bug 749143 - View-port is duplicate when zooming past the minimum level
: View-port is duplicate when zooming past the minimum level
Status: VERIFIED FIXED
[inbound]
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: Trunk
: ARM Android
: -- normal (vote)
: Firefox 15
Assigned To: Chris Lord [:cwiiis]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-26 05:23 PDT by Paul Feher
Modified: 2012-04-30 04:25 PDT (History)
11 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed
beta+


Attachments
Screenshot (87.77 KB, image/png)
2012-04-26 05:23 PDT, Paul Feher
no flags Details
Don't reuse/draw tiles that are outside of content bounds (8.67 KB, patch)
2012-04-26 08:51 PDT, Chris Lord [:cwiiis]
b56girard: review+
blassey.bugs: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Paul Feher 2012-04-26 05:23:24 PDT
Created attachment 618629 [details]
Screenshot

Nightly Fennec 15.0a1 (2012-04-26)
Device: HTC Desire Z
OS: Android 2.3.3

Steps to reproduce:
1. Load a page (Ex. yahoo.com).
3. Rotate the device in landscape mode and back.
4. Pinch zoom-out over the min level.
 
Expected result:
After the page is over the min level the over-scroll zone remains grey.

Actual result:
After the page is over the min level in the over-scroll zone half of the view-port is displayed.

NOTE:Please see the attached screenshot
Comment 1 Kartikaya Gupta (email:kats@mozilla.com) 2012-04-26 07:17:27 PDT
Possibly tiling related?
Comment 2 Chris Lord [:cwiiis] 2012-04-26 07:54:45 PDT
hmm, possibly retained tiles drawing incorrectly... Will find out.
Comment 3 Chris Lord [:cwiiis] 2012-04-26 08:51:00 PDT
Created attachment 618669 [details] [diff] [review]
Don't reuse/draw tiles that are outside of content bounds

This fixes the issue for me.
Comment 4 Chris Lord [:cwiiis] 2012-04-26 09:21:43 PDT
noming for fennec blocker - This shows up in any situation where the content size changes, and is very noticeable if you over-scroll.

A good example, go to touch.facebook.com, bring up the side-bar, choose a short page, like 'events' - then toggle the side-bar on, scroll down, then up, then toggle the side-bar off and scroll down - you'll see the side-bar underneath the page in the over-scroll area
Comment 5 Chris Lord [:cwiiis] 2012-04-26 09:56:41 PDT
Pushed to inbound: http://hg.mozilla.org/integration/mozilla-inbound/rev/88fc9ee1334b
Comment 6 Brad Lassey [:blassey] (use needinfo?) 2012-04-26 09:59:08 PDT
Comment on attachment 618669 [details] [diff] [review]
Don't reuse/draw tiles that are outside of content bounds

[Triage Comment]
Comment 7 Ed Morley [:emorley] 2012-04-27 06:57:33 PDT
https://hg.mozilla.org/mozilla-central/rev/88fc9ee1334b
Comment 8 Mark Finkle (:mfinkle) (use needinfo?) 2012-04-28 14:11:37 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/f4ad941dacd5
Comment 9 Adrian Tamas (:AdrianT) 2012-04-30 04:25:31 PDT
Verified on:
Aurora 14.0a2 (2012-04-29)
Nightly 15.0a1 (2012-04-30)
Device: HTC Desire
OS: Android 2.2

Note You need to log in before you can comment on or make changes to this bug.